Skip to main content
GET
/
v1
/
markets
/
match
Match Market
curl --request GET \
  --url https://api.centosfi.com/v1/markets/match
{
  "centos_id": 123,
  "exchange_value": 123,
  "exchange_name": "<string>",
  "ticker": "<string>",
  "token_id_yes": "<string>",
  "token_id_no": "<string>",
  "slug": "<string>",
  "tick_size_price": 123,
  "tick_size_qty": 123,
  "minimum_order_size": 123,
  "neg_risk": true,
  "neg_risk_id": "<string>",
  "condition_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "status": "active",
  "expiration_datetime": "2023-11-07T05:31:56Z",
  "category": "Other",
  "rank": 123
}

Query Parameters

ticker
string | null

Exact Kalshi ticker (e.g. KXNBA-26-DET)

slug
string | null

Exact Polymarket slug (e.g. will-the-denver-nuggets-win-the-2026-nba-finals)

Response

Successful Response

Schema for a single market search result.

centos_id
integer
required
exchange_value
integer
required
exchange_name
string
required
ticker
string | null
required
token_id_yes
string | null
required
token_id_no
string | null
required
slug
string | null
required
tick_size_price
number
required
tick_size_qty
number
required
minimum_order_size
number
required
neg_risk
boolean
required
neg_risk_id
string | null
required
condition_id
string | null
required
name
string
required
description
string | null
required
status
enum<string>
required

Instrument status derived in mv_instruments from exchange-specific fields.

Kalshi: maps from kalshi_markets.status - 'active' -> ACTIVE - everything else (closed, determined, finalized, settled, amended, inactive, initialized) -> CLOSED

Polymarket: maps from polymarket_markets.closed and polymarket_markets.active booleans - closed=true -> CLOSED - active=true (and not closed) -> ACTIVE - else (active=false, closed=false) -> INACTIVE

Available options:
active,
closed,
inactive
expiration_datetime
string<date-time> | null

Market expiration datetime (UTC)

category
string
default:Other
rank
number | null